<!DOCTYPE html>
<html>
<head>
	<title>JavaScript</title>
</head>
<body>

	

	<form method="post">
		<table>
			<tr>
				<td>First Number</td>
				<td><input type="Number" id="fnum"></td>
			</tr>
			<tr>
				<td>Second Number</td>
				<td><input type="Number" id="snum"></td>
			</tr>
			<tr>
				<td>Action</td>
				<td>
					<select name="ope" id="ope">
						<option value="+">Add</option>
						<option value="-">Subtract</option>
						<option value="*">Multiply</option>
						<option value="/">Divide</option>
					</select>
				</td>			
			</tr>
			<tr>
				<td><input type="button" onclick="calc()" value="calculate"></td>
			</tr>
		</table>
	
	<p id="result">Your result will appear here.</p>
	</form>

	<button onclick="switchData()">blas</button>
	<script type="text/javascript">

	function calc(){
		var a=document.getElementById("fnum").value;
		var b=document.getElementById("snum").value;
		
		var ope=document.getElementById("ope");
		var op=ope.options [ope.selectedIndex] .value; 


		if(a=="" || b==""){
			document.getElementById("result").innerHTML="Please, input numbers.";
			document.getElementById("result").style.color = "red";
		}

		else if(op=="-"){
			c=a-b;
			document.getElementById("result").innerHTML=c.toPrecision(5);
			document.getElementById("result").style.color = "black";

		}

		else if(op=="+"){
			
			var c= Number(a) + Number(b);
			document.getElementById("result").innerHTML=c.toPrecision(5);
			document.getElementById("result").style.color = "black";

		}

		else if(op=="*"){
			c=a*b;
			document.getElementById("result").innerHTML=c.toPrecision(5);
			document.getElementById("result").style.color = "black";

		}

		else if(op=="/"){
			c=a/b;
			document.getElementById("result").innerHTML= c.toPrecision(5);
			ementById("result").style.color = "black";

		}			
	}

	function switchData() {
		var ope=document.getElementById("ope");
		var op=ope.options [ope.selectedIndex] .value; 

		switch (op) {
			case "+":
				document.getElementById("result").innerHTML= "add";
			break;

			case "-":
				document.getElementById("result").innerHTML= "sub";
			break;

			default:
				document.getElementById("result").innerHTML= "c";
			break;
		}
	}
	</script>
</body>
</html>